{% extends "index.html" %}

{% block content %}
<p></p>
<form class="d-flex" method="get" action="{% url 'teachers:teachers-list' %}" >
    <select class="form-select" name="course">
    <option value="none" hidden="">Choose a course to search teachers</option>
    {% for course in courses_list %}
        <option value={{course.id}}>{{ course.name }}</option>
    {% endfor %}
    </select>

    <button class="btn btn-outline-success" type="submit">Search</button>
</form>
<br>
    <table class="table">
        <thead>
        <tr>
            <th scope="col">First name</th>
            <th scope="col">Last name</th>
        </tr>
        </thead>
        <tbody>
        {% for teacher in teachers_list %}
            <tr>
                <th scope="row">{{ teacher.first_name }}</th>
                <td>{{ teacher.last_name }}</td>
            </tr>
        {% endfor %}

        </tbody>
    </table>
{% endblock %}
